//---------------------------------------------------------------------------
#ifndef WaveButtonH
#define WaveButtonH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "CBWave.h"
//---------------------------------------------------------------------------
class PACKAGE TWaveButton : public TSpeedButton
{
private:
// placeholders for sounds of these events
TCBWavePlayer *ClickWave;
TCBWavePlayer *OverWave;
TCBWavePlayer *RightWave;
bool is;
private:
// Overiding default mouse events
 DYNAMIC void __fastcall Click(void);
 DYNAMIC void __fastcall MouseMove(Classes::TShiftState Shift, int X, int Y);
 DYNAMIC void __fastcall MouseDown(TMouseButton Button, Classes::TShiftState Shift, int X, int Y);
protected:
public:
    __fastcall TWaveButton(TComponent* Owner);
__published:
  __property TCBWavePlayer * OnClickWave={read=ClickWave, write=ClickWave, default=NULL};
  __property TCBWavePlayer * OnMouseOverWave={read=OverWave, write=OverWave, default=NULL};
  __property TCBWavePlayer * OnRightClickWave={read=RightWave, write=RightWave, default=NULL};
};
//---------------------------------------------------------------------------
#endif
