//---------------------------------------------------------------------------
#ifndef WaveObjectFormH
#define WaveObjectFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <FileCtrl.hpp>
#include "CBWave.h"
//---------------------------------------------------------------------------
class TWaveForm : public TForm
{
__published:	// IDE-managed Components
    TBitBtn *OkBtn;
    TBitBtn *CancelBtn;
    TDriveComboBox *DriveComboBox;
    TFileListBox *FileListBox;
    TDirectoryListBox *DirectoryListBox;
    TFilterComboBox *FilterComboBox;
    TLabel *DirLabel;
    TEdit *FileEditbox;
    TSpeedButton *PlayBtn;
    void __fastcall FileListBoxDblClick(TObject *Sender);
    
    void __fastcall FileListBoxChange(TObject *Sender);
    
    void __fastcall FormCreate(TObject *Sender);
    
    void __fastcall PlayBtnClick(TObject *Sender);
    
private:	// User declarations
public:		// User declarations
    __fastcall TWaveForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TWaveForm     *WaveForm;
extern PACKAGE TCBWavePlayer *OldWavePlayer;

//---------------------------------------------------------------------------
#endif
